import chalk from 'chalk';
import figlet from 'figlet';

const { log } = console;

export const torderLog = () => {
  log(figlet.textSync('T VUE CLI'));
};

export const successLog = (projectName) => {
  log(`🎉 ${chalk.green('Successfully')} ${chalk.whiteBright('created project')} ${chalk.yellow(projectName)}`);
};

export const projectNameEmptyLog = () => {
  log(`❗ ${chalk.red('Project name is empty')}\n${chalk.yellow('Usage: t-vue <project-name>')}`);
};

export const clear = () => {
  console.clear();
};
