import { projectNameEmptyLog } from './console.js';
import globals from '../global.js';

const getProjectName = () => {
  const projectName = process.argv[2];
  if (!projectName) {
    projectNameEmptyLog();
    process.exit();
  }
  return projectName;
};

const setGlobals = (projectName, selectedOptions) => {
  globals.projectName = projectName;
  globals.selectedOptions = selectedOptions;
};

export { getProjectName, setGlobals };
